Displaying 2 results from an estimated 2 matches for "116a743".
Did you mean:
116,743
2013 May 27
0
[PATCH] Check if opus_compare is executable in run_vectors.sh
...ompare doesn't exist or isn't executable, tests failed normally
which could be misleading.
So test for existence and mode to avoid this ambiguity.
---
tests/run_vectors.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/tests/run_vectors.sh b/tests/run_vectors.sh
index 1cc445d..116a743 100755
--- a/tests/run_vectors.sh
+++ b/tests/run_vectors.sh
@@ -57,6 +57,11 @@ else
exit 0
fi
+if [ ! -x $OPUS_COMPARE ]; then
+ echo ERROR: Compare program not found: $OPUS_COMPARE
+ exit 1
+fi
+
if [ -x $OPUS_DEMO ]; then
echo Decoding with $OPUS_DEMO
else
--
1.7.9.5
----...
2015 Aug 04
0
[PATCH] Make it possible to pass in paths to opus_demo and opus_compare.
...9;ve been testing under qemu. I want to run an emulated
opus_demo, but a native opus_compare, so the script completes in a
reasonable amount of time.
---
tests/run_vectors.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/run_vectors.sh b/tests/run_vectors.sh
index 116a743..1d447c4 100755
--- a/tests/run_vectors.sh
+++ b/tests/run_vectors.sh
@@ -45,8 +45,8 @@ CMD_PATH=$1
VECTOR_PATH=$2
RATE=$3
-OPUS_DEMO=$CMD_PATH/opus_demo
-OPUS_COMPARE=$CMD_PATH/opus_compare
+: ${OPUS_DEMO:=$CMD_PATH/opus_demo}
+: ${OPUS_COMPARE:=$CMD_PATH/opus_compare}
if [ -d $VECTOR_PATH...